# android-tools

Android platform tools ported to GNU/Linux for Android based devices management.

The Android Debug Bridge (ADB) is used to:
* keep track of all Android devices and emulators instances connected to or running on a given host developer machine
* implement various control commands (e.g. "adb shell", "adb pull", etc.) for the benefit of clients (command-line users, or helper programs like DDMS). These commands are what is called a 'service' in ADB.

Fastboot is used to manipulate the flash partitions of the Android phone.
It can also boot the phone using a kernel image or root filesystem image which reside on the host machine rather than in the phone flash.
In order to use it, it is important to understand the flash partition layout for the phone.
The fastboot program works in conjunction with firmware on the phone to read and write the flash partitions.
It needs the same USB device setup between the host and the target phone as adb.

